interfaces Library: KTextEditor::SelectionInterface Class Reference (interfaces Library)

| # interfaces Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KTextEditor::SelectionInterface Class Reference

This is an interface to text selection for the Document class. More...

`#include <selectioninterface.h>`

List of all members.

## Public Member Functions
unsigned int | selectionInterfaceNumber () const
virtual bool | setSelection (unsigned int startLine, unsigned int startCol, unsigned int endLine, unsigned int endCol)=0
virtual bool | clearSelection ()=0
virtual bool | hasSelection () const =0
virtual QString | selection () const =0
virtual bool | removeSelectedText ()=0
virtual bool | selectAll ()=0
virtual void | selectionChanged ()=0
## Protected Member Functions
void | setSelectionInterfaceDCOPSuffix (const QCString &suffix)
## Friends
class | PrivateSelectionInterface

## Detailed Description

This is an interface to text selection for the Document class.

Definition at line 33 of file selectioninterface.h.

## Member Function Documentation

virtual bool KTextEditor::SelectionInterface::setSelection | ( | unsigned int | startLine,
|  | unsigned int | startCol,
|  | unsigned int | endLine,
|  | unsigned int | endCol
| ) | `[pure virtual]`

| Returns: set the selection from line_start,col_start to line_end,col_end

virtual bool KTextEditor::SelectionInterface::clearSelection | ( |  | ) | `[pure virtual]`

| removes the current Selection (not Text)

virtual bool KTextEditor::SelectionInterface::hasSelection | ( |  | ) | const`[pure virtual]`

| Returns: true if there is a selection

virtual QString KTextEditor::SelectionInterface::selection | ( |  | ) | const`[pure virtual]`

| Returns: a QString for the selected text

virtual bool KTextEditor::SelectionInterface::removeSelectedText | ( |  | ) | `[pure virtual]`

| removes the selected Text

virtual bool KTextEditor::SelectionInterface::selectAll | ( |  | ) | `[pure virtual]`

| select the whole text

The documentation for this class was generated from the following files:

- selectioninterface.h
- selectioninterface.cpp

This file is part of the documentation for interfaces Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:35:17 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003